Subject: bug#78953: 31.0.50; tab-bar-format-align-right alignment breaks if field widths change

From: Daniel Mendler <[email-masked]>
Date: Fri, 11 Jul 2025 18:36:00 +0200

Juri Linkov <[email-masked]> writes:

>> But I understand that disabling the overall wrap around is more
>> difficult since it has to be implement on a deeper level of the
>> display engine.
>
> Indeed, the required change is on a deeper level of the display engine,
> but it's quite simple like in the attached patch.  I wonder is it
> appropriate to reuse the existing option 'auto-resize-tab-bars'
> whose new value 'truncate' will force tab-bar truncation:

Indeed, the patch seems simple enough. I am unsure about reusing the
option. If I understand correctly `auto-resize-tab-bars' is about
resizing the height according to the face? I think we want to control
both things separately, truncation and resizing of the height. Therefore
I would rather add another option `truncate-tab-bars'. What do you
think?

Daniel